
if (GetLocale() == "frFR") then
  HealPointsBSL = { };

	HealPointsBSL.SOCKET_MSG = "<Maj clic-droit pour sertir>";
	HealPointsBSL.GEM_TYPE = "Gemme";
  HealPointsBSL.AND = "et";
  HealPointsBSL.ARMOR = "Armure"; 
  HealPointsBSL.BLUE_SOCKET = "Ch\195\163sse bleue";
  HealPointsBSL.RED_SOCKET = "Ch\195\163sse rogue";
  HealPointsBSL.YELLOW_SOCKET = "Ch\195\163sse jaune";

	HealPointsBSL.PATTERNS_SETEQUIP = {
    -- General patterns
		{ pattern = "Augmente les effets des sorts de soins de (%d+)% au maximum%.", effect = "HEAL" },
		{ pattern = "Augmente les soins prodigu\195\169s par les sorts et effets de (%d+)% au maximum%.", effect = "HEAL" }, -- ok
		{ pattern = "Augmente les d\195\169g\195\162ts et les soins produits par les sorts et effets magiques de (%d+)% au maximum%.", effect = "HEAL" }, -- ok
		{ pattern = "Rend (%d+) points de mana toutes les 5 secondes%.", effect = "MANAREG" }, -- ok
		{ pattern = "Rend (%d+) points de mana toutes les 5 sec%.", effect = "MANAREG" }, -- ok
		{ pattern = "Augmente de (%d+) le score de coup critique des sorts%.", effect = "SPELLCRITRATING"}, -- ok
		{ pattern = "Augmente le score de coup critique des sorts de (%d+)%.", effect = "SPELLCRITRATING"}, -- ok
		{ pattern = "(%d+)%% de votre vitesse de r\195\169cup\195\169ration du Mana sont actifs lorsque vous incantez%.", effect = "CASTINGREG"},
    { pattern = "Increases healing by up to (%d+)%% of your total Intellect%.", effect = "HEALFROMINT" }, -- TODO: Localize
    { pattern = "Increases spell damage by up to (%d+)%% of your total Intellect%.", effect = "HEALFROMINT" }, -- TODO: Localize
    { pattern = "Improves spell haste rating by (%d+)%.", effect = "SPELLHASTERATING"}, -- TODO: Localize

		-- Paladin sets
		{ pattern = "R\195\169duit le temps d%'incantation de votre sort Lumi\195\168re sacr\195\169e de 0%.(%d+) sec%.", effect = "TIME_HL"}, -- Tier 5, ZG
    { pattern = "Increases the critical effect chance of your Flash of Light by (%d+)%%%.", effect = "CRIT_FOL"}, -- Arena -- TODO: Localize
    { pattern = "Increases the critical strike chance of your Holy Light ability by (%d+)%%%.", effect = "CRIT_HL"}, -- Tier 6 TODO: Localize
    { pattern = "Increases the healing from your Flash of Light ability by (%d+)%%%.", effect = "AVG_PC_FOL"}, -- Tier 6 TODO: Localize

    -- Priest sets
		{ pattern = "%-0%.(%d+) sec%. au temps d%'incantation de votre sort Soins rapides%.", effect = "TIME_FH"}, -- Tier 1
		{ pattern = "Vos Soins sup\195\169rieurs soignent maintenant aussi sur la dur\195\169e %(\195\169quivalent de R\195\169novation rang (%d+)%)%.", effect = "GH_RENEW"}, -- Tier 2
		{ pattern = "Reduit le co\195\187t en mana de votre sort R\195\169novation de (%d+)%%%.", effect = "MANA_PC_RENEW"}, -- Tier 3
		{ pattern = "Augmente la dur\195\169e de votre sort R\195\169novation de (%d+) sec%.", effect = "DURATION_RENEW"}, -- AQ40
    { pattern = "Increases the healing from your Greater Heal ability by (%d+)%%%.", effect = "AVG_PC_GH"}, -- Tier 6 TODO: Localize

    -- Druid sets
		{ pattern = "R\195\169duit le temps d%'incantation de votre sort R\195\169tablissement de 0%.(%d+) sec%.", effect = "TIME_REGR"}, -- Tier 2
		{ pattern = "Augmente la dur\195\169e de votre sort R\195\169cup\195\169ration de (%d+) sec%.", effect = "DURATION_REJUV"}, -- Tier 2
		{ pattern = "R\195\169duit de (%d+)%% le co\195\187t en mana de vos sorts Toucher gu\195\169risseur%, R\195\169tablissement%, R\195\169cup\195\169ration et Tranquillit\195\169%.", effect = "MANA_PC_DRUID"}, -- Tier 3
		{ pattern = "En cas de r\195\169ussite critique sur un Toucher gu\195\169risseur%, vous r\195\169cup\195\169rez (%d+)%% du co\195\187t en mana du sort%.", effect = "MANA_REFUND_CRIT_HT"}, -- Tier 3
    { pattern = "Increases the duration of your Regrowth spell by (%d+) sec%.", effect = "DURATION_REGR"}, -- Tier 5 TODO: Localize
    { pattern = "Increases the final amount healed by your Lifebloom spell by (%d+)%.", effect = "AVG_BURST_LIFEBL"}, -- Tier 5 TODO: Localize
    { pattern = "Increases the healing from your Healing Touch ability by (%d+)%%%.", effect = "AVG_PC_HT"}, -- Tier 6 TODO: Localize

    -- Shaman sets
		{ pattern = "Apr\195\168s avoir lanc\195\169 un sort de Vague de soins ou de Vague de soins inf\195\169rieurs%, vous avez 25%% de chances de gagner un nombre de points de mana \195\169gal \195\160 (%d+)%% du co\195\187t de base du sort%.", effect = "MANA_REFUND_HWLHW"}, -- Tier 1
		{ pattern = "Votre Vague de soins soigne aussi des cibles proches suppl\195\169mentaires%. Chaque nouveau soin perd (%d+)%% d%'efficacit\195\169%, et le sort soigne jusqu%'\195\160 deux cibles suppl\195\169mentaires%.", effect = "JUMP_HW"}, -- Tier 1
		{ pattern = "Augmente de (%d+)%% le montant de points de vie rendus par Salve de gu\195\169rison aux cibles qui suivent la premi\195\168re%.", effect = "AVG_PC_JUMPS_CHAIN"}, -- Tier 2
    { pattern = "Reduces the cost of your Lesser Healing Wave spell by (%d+)%%%.", effect = "MANA_PC_LHW"}, -- Tier 5 TODO: Localize
    { pattern = "Reduces the casting time of your Healing Wave spell by 0%.(%d+) sec%.", effect = "TIME_HW"}, -- Tier 5 TODO: Localize
		{ pattern = "%-0%,(%d+) secondes au temps d%'incantation de votre sort Salve de gu\195\169rnison%.", effect = "TIME_CHAIN"}, -- AQ40
    { pattern = "Your Chain Heal ability costs (%d+)%% less mana%.", effect = "MANA_PC_CHAIN"}, -- Tier 6 TODO: Localize
    { pattern = "Increases the amount healed by your Lesser Healing Wave ability by (%d+)%%%.", effect = "AVG_PC_LHW"}, -- Tier 6 TODO: Localize

    -- Librams
		{ pattern = "Augmente les soins prodigu\195\169s par Eclair lumineux de (%d+) au maximum%.", effect = "AVG_ABS_FOL"}, -- ok
    { pattern = "Increases the benefit your Flash of Light and Holy Light spells receive from Blessing of Light by (%d+)%.", effect = "AVG_ABS_BOL"}, -- TODO: Localize
    { pattern = "Increases healing done by Holy Light by up to (%d+)%.", effect = "AVG_ABS_HL"}, -- TODO: Localize
    { pattern = "Reduces the mana cost of Holy Light by (%d+).", effect = "MANA_ABS_HL"}, -- TODO: Localize

    -- Idols
		{ pattern = "Increases the amount healed by Healing Touch by (%d+)%.", effect = "AVG_ABS_HT"}, -- TODO: Localize
    { pattern = "Recevez un maximum de (%d+) points de mana chaque fois que vous lancez un Toucher gu\195\169risseur%.", effect = "MANA_REFUND_HT"},
    { pattern = "Increases the final healing value of your Lifebloom by (%d+)%.", effect = "AVG_BURST_LIFEBL"}, -- TODO: Localize
    { pattern = "Augmente les soins prodigu\195\169s par R\195\169cup\195\169ration de (%d+) au maximum%.", effect = "AVG_ABS_REJUV"},
		{ pattern = "Increases the periodic healing of your Lifebloom by up to (%d+)%.", effect = "AVG_HOT_LIFEBL"}, -- TODO: Localize

    -- Totems
    { pattern = "Regain up to (%d+) mana each time you cast Lesser Healing Wave.", effect = "MANA_REFUND_LHW"}, -- TODO: Localize
    { pattern = "Increases the base amount healed by Chain Heal by (%d+)%.", effect = "AVG_ABS_CHAIN"}, -- TODO: Localize
		{ pattern = "Augmente les soins prodigu\195\169s par votre Vague de Soins Inf\195\169rieurs de (%d+)%.", effect = "AVG_ABS_LHW"},
    { pattern = "Reduces the mana cost of Heaing Wave by (%d+)%.", effect = "MANA_ABS_HW"}, -- TODO: Localize
    { pattern = "Increases healing done by Healing Wave by up to (%d+)%.", effect = "AVG_ABS_HW"}, -- TODO: Localize
	};

	HealPointsBSL.PATTERNS_GENERIC_LOOKUP = { -- must be lower case
		["\195\160 toutes les caract\195\169ristiques"] = {"INT", "SPI", "STR"}, -- ok
		["intelligence"] = "INT", -- ok
		["esprit"] = "SPI", -- ok
    ["force"] = "STR", -- ok

		["sorts de soins"] = "HEAL",
		["aux soins"] = "HEAL", -- ok
		["aux sorts de soins"] = "HEAL", -- ok
    ["aux d\195\169g\195\162ts des sorts"] = "HEAL", -- ok
    ["aux d\195\169g\195\162ts des sorts et aux soins"] = "HEAL", -- ok
		["d\195\169g\195\162ts et soins "] = "HEAL",
		["sorts de dommages"] = "HEAL",
    ["au score de coup critique des sorts"] = "SPELLCRITRATING", -- ok

		["mana chaque 5 sec"] = "MANAREG",
		["points de mana toutes les 5 sec"] = "MANAREG", -- ok
    ["points de mana toutes les 5 secondes"] = "MANAREG", -- ok
    ["mana toutes les 5 secondes"] = "MANAREG", -- ok
		["mana"] = "MANA",
	};

	HealPointsBSL.PATTERNS_OTHER = {
		{ pattern = "Mana chaque (%d+) per 5 sec%.", effect = "MANAREG" }, --?

		{ pattern = "Huile de sorcier mineure", effect = "HEAL", value = 8 },
		{ pattern = "Huile de sorcier inf\195\169rieure", effect = "HEAL", value = 16 },
		{ pattern = "Huile de sorcier", effect = "HEAL", value = 24 },
		{ pattern = "Huile de sorcier brillante", effect = {"HEAL", "SPELLCRIT"}, value = {36, 1} },

		{ pattern = "Huile de mana mineure", effect = "MANAREG", value = 4 },
		{ pattern = "Huile de mana inf\195\169rieure", effect = "MANAREG", value = 8 },
		{ pattern = "Huile de mana brillante", effect = { "MANAREG", "HEAL"}, value = {12, 25} },
		{ pattern = "Huile de mana excellente", effect = "MANAREG", value = 14 },

    { pattern = "%+(%d+) Soins et %+%d+ Endurance", effect = "HEAL"}, -- ok

    { pattern = "Score de critique %+%d+ et (%d+) points de mana toutes les 5 sec%.", effect = "MANAREG"}, -- ok

    { pattern = "Vitalit\195\169", effect = "MANAREG", value = 4 }, -- ok

    };
end